OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.ParameterBufferObject

Contents

- Functions
- Tokens

Description

All functions and tokens from the NV_parameter_buffer_object extension, see http://www.opengl.org/registry/specs/NV/parameter_buffer_object.txt.

Synopsis

- glBindBufferRange :: GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> IO ()
- glBindBufferOffset :: GLenum -> GLuint -> GLuint -> GLintptr -> IO ()
- glBindBufferBase :: GLenum -> GLuint -> GLuint -> IO ()
- glProgramBufferParametersfv :: GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> IO ()
- glProgramBufferParametersIiv :: GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLint -> IO ()
- glProgramBufferParametersIuiv :: GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLuint -> IO ()
- glGetIntegerIndexedv :: GLenum -> GLuint -> Ptr GLint -> IO ()
- gl_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS :: GLenum
- gl_MAX_PROGRAM_PARAMETER_BUFFER_SIZE :: GLenum
- gl_VERTEX_PROGRAM_PARAMETER_BUFFER :: GLenum
- gl_GEOMETRY_PROGRAM_PARAMETER_BUFFER :: GLenum
- gl_FRAGMENT_PROGRAM_PARAMETER_BUFFER :: GLenum

# Functions

glBindBufferRange :: GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> IO ()Source

glBindBufferOffset :: GLenum -> GLuint -> GLuint -> GLintptr -> IO ()Source

glBindBufferBase :: GLenum -> GLuint -> GLuint -> IO ()Source

glProgramBufferParametersfv :: GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> IO ()Source

glProgramBufferParametersIiv :: GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLint -> IO ()Source

glProgramBufferParametersIuiv :: GLenum -> GLuint -> GLuint -> GLsizei -> Ptr GLuint -> IO ()Source

glGetIntegerIndexedv :: GLenum -> GLuint -> Ptr GLint -> IO ()Source

# Tokens

gl_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS :: GLenum Source

gl_MAX_PROGRAM_PARAMETER_BUFFER_SIZE :: GLenum Source

gl_VERTEX_PROGRAM_PARAMETER_BUFFER :: GLenum Source

gl_GEOMETRY_PROGRAM_PARAMETER_BUFFER :: GLenum Source

gl_FRAGMENT_PROGRAM_PARAMETER_BUFFER :: GLenum Source